import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileChunkUncheckedCreateNestedManyWithoutFileInputObjectSchema as CloudFileChunkUncheckedCreateNestedManyWithoutFileInputObjectSchema } from './CloudFileChunkUncheckedCreateNestedManyWithoutFileInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  name: z.string(),
  mimeType: z.string().optional().nullable(),
  fileSize: z.bigint(),
  folderId: z.number().int().optional().nullable(),
  isComplete: z.boolean().optional(),
  totalChunks: z.number().int().optional().nullable(),
  diskPath: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional(),
  chunks: z.lazy(() => CloudFileChunkUncheckedCreateNestedManyWithoutFileInputObjectSchema).optional()
}).strict();
export const CloudFileUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.CloudFileUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileUncheckedCreateWithoutUserInput>;
export const CloudFileUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
